Перейти к содержимому

GET /templates/{templateID}/files/{hash} ​

Template build file upload URL

Get an upload link for a tar file containing build layer files

Параметры ​

  • templateID · string · путь · обязательно

  • hash · string · путь · обязательно

    Hash of the files

Ответы ​

201 ​

The upload link where to upload the tar file

Content-Type: application/json

Схема: TemplateBuildFileUpload

  • present · boolean · обязательно

    Whether the file is already present in the cache

  • url · string · необязательно

    Url where the file should be uploaded to

400 ​

Bad request

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

401 ​

Authentication error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

404 ​

Not found

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

500 ​

Server error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error